Changeset 17759 in niluje


Ignore:
Timestamp:
Sep 13, 2020, 12:30:07 AM (7 days ago)
Author:
NiLuJe
Message:

Resync Fred's Portage config

Location:
Configs/trunk/Portage/Illyria
Files:
12 added
9 edited

Legend:

Unmodified
Added
Removed
  • Configs/trunk/Portage/Illyria/make.conf

    r16594 r17759  
    8181USE="${USE} audiofile cddb cdparanoia lame libsamplerate musepack musicbrainz opus pulseaudio sndfile speex taglib"
    8282# Video
    83 USE="${USE} 10bit 12bit css dv ffmpeg libass matroska theora vdpau"
     83USE="${USE} 10bit 12bit css dv ffmpeg libass matroska theora vaapi vdpau vulkan"
    8484# Multimedia
    8585USE="${USE} djvu gimp imagemagick jpeg2k scanner webp xpm"
     
    9999
    100100## Modular X
    101 INPUT_DEVICES="evdev keyboard mouse"
    102 VIDEO_CARDS="amdgpu radeonsi nvidia"
     101INPUT_DEVICES="evdev libinput"
     102VIDEO_CARDS="amdgpu radeonsi"
    103103
    104104## Localisation
     
    107107
    108108## PHP
    109 PHP_TARGETS="php7-2"
     109PHP_TARGETS="php7-4"
    110110
    111111## Ruby
    112 RUBY_TARGETS="ruby25 ruby26"
     112RUBY_TARGETS="ruby25 ruby26 ruby27"
    113113
    114114## Python
    115 PYTHON_TARGETS="python2_7 python3_6 python3_7"
    116 PYTHON_SINGLE_TARGET="python2_7"
     115PYTHON_TARGETS="python2_7 python3_6 python3_7 python3_8"
     116PYTHON_SINGLE_TARGET="python3_7"
     117
     118## Lua
     119USE="${USE} luajit"
    117120
    118121## Grub2
     
    120123
    121124## LLVM
    122 LLVM_TARGETS="AMDGPU ARM BPF NVPTX X86"
     125LLVM_TARGETS="AMDGPU ARM BPF X86"
    123126
    124127#
  • Configs/trunk/Portage/Illyria/package.accept_keywords/niluje

    r16482 r17759  
    2828net-irc/konversation::kde **
    2929
    30 # K3b
    31 # move app-cdr/k3b kde-apps/k3b
    32 kde-apps/k3b:5 **
    33 # required by kde-apps/k3b-9999::kde
    34 # required by kde-apps/kdemultimedia-meta-17.04.2::gentoo[cdrom]
    35 # required by kde-apps/kde-apps-meta-17.04.2::gentoo
    36 # required by @selected
    37 # required by @world (argument)
    38 =kde-apps/libkcddb-9999 **
    39 #kde-apps/libkcddb:5 **
     30# Kdiff3
     31=kde-misc/kdiff3-9999 **
    4032
    4133# KTorrent
     
    4941=net-misc/streamlink-9999 **
    5042
     43# LuaJIT 2.1
     44>=dev-lang/luajit-2.1.0_beta3 **
     45
     46# Mumble
     47=media-sound/mumble-9999 **
     48
    5149# required by media-libs/vapoursynth-39::vapoursynth
    5250# required by media-plugins/vapoursynth-it-1.2::vapoursynth
     
    5452# required by @selected
    5553# required by @world (argument)
    56 =media-libs/zimg-9999 **
     54#=media-libs/zimg-9999 **
    5755
    5856# Vulkan stuff from gentoo-gpu overlay
     
    6260
    6361# Prefer a monolithic shaderc for now, until gentoo-gpu's modular one actually builds on my system ;).
    64 =media-libs/vulkan-loader-9999::niluje **
    65 =media-libs/shaderc-9999::niluje **
     62#=dev-util/vulkan-headers-9999::gentoo **
     63#=media-libs/vulkan-loader-9999::gentoo **
     64#=media-libs/shaderc-9999::niluje **
    6665
    6766# And what finally hit the tree! :)
     
    7574#=media-libs/shaderc-9999::gentoo **
    7675
    77 # For my hackish Konsole downgrade...
    78 =kde-apps/konsole-19.04.3::niluje **
  • Configs/trunk/Portage/Illyria/package.env

    r16482 r17759  
    1414dev-util/rapydscript-ng::niluje network.conf
    1515
     16# b.g.o/683818
     17=dev-python/zstandard-0.12.0 onejob.conf
  • Configs/trunk/Portage/Illyria/package.mask/niluje

    r15824 r17759  
    1010x11-drivers/nvidia-drivers::gentoo-gpu
    1111
    12 # c.f., https://bugs.gentoo.org/659860
    13 media-libs/libraw:0/19
     12# Python 2.7 is borked on 1.14 anyway
     13dev-vcs/subversion::niluje
    1414
  • Configs/trunk/Portage/Illyria/package.use/kde-apps

    r15503 r17759  
    7575>=dev-libs/libdbusmenu-16.04.0 gtk3
    7676
     77# required by media-sound/elisa-19.12.2::gentoo[-vlc]
     78# required by kde-apps/kdemultimedia-meta-19.12.2::gentoo
     79# required by kde-apps/kde-apps-meta-19.12.2::gentoo
     80# required by @selected
     81# required by @world (argument)
     82>=dev-qt/qtmultimedia-5.14.1 gstreamer
  • Configs/trunk/Portage/Illyria/package.use/multilib

    r16482 r17759  
    940940>=net-libs/http-parser-2.9.2 abi_x86_32
    941941
     942# required by media-libs/libsndfile-1.0.29_pre2_p20191024::gentoo[-minimal]
     943# required by media-sound/sox-14.4.2-r1::gentoo[sndfile]
     944# required by @selected
     945# required by @world (argument)
     946>=media-libs/opus-1.3.1-r1 abi_x86_32
     947
     948# required by app-text/sigil-0.9.18::gentoo[python_single_target_python3_7]
     949# required by @selected
     950# required by @world (argument)
     951dev-lang/python tk
     952# required by games-util/steam-games-meta-0-r20191109::steam-overlay[steamgames_source_engine]
     953# required by games-util/steam-meta-0-r20160817::steam-overlay[steamruntime]
     954# required by @selected
     955# required by @world (argument)
     956>=media-libs/libpng-compat-1.2.59:1.2 abi_x86_32
     957
     958# required by media-plugins/alsa-plugins-9999::niluje[speex]
     959# required by alsa-plugins (argument)
     960>=media-libs/speexdsp-1.2_rc3-r2 abi_x86_32
     961
     962# required by dev-util/android-sdk-update-manager-24.4.1::gentoo
     963# required by @selected
     964# required by @world (argument)
     965>=sys-libs/ncurses-compat-6.1_p20190609 abi_x86_32
     966
     967# required by sys-libs/pam-1.3.1_p20200128::gentoo
     968# required by @selected
     969# required by @world (argument)
     970>=virtual/libcrypt-1 abi_x86_32
     971
     972# required by media-libs/mesa-20.0.0::gentoo[zstd]
     973# required by virtual/opencl-2::gentoo
     974# required by media-gfx/imagemagick-7.0.9.22::niluje[opencl]
     975# required by virtual/imagemagick-tools-0::gentoo
     976# required by x11-terms/kitty-0.16.0::gentoo
     977# required by @selected
     978# required by @world (argument)
     979>=app-arch/zstd-1.4.4-r2 abi_x86_32
     980
     981# required by media-libs/mesa-20.0.1::niluje[libglvnd]
     982# required by x11-base/xorg-server-1.20.7::gentoo[-minimal]
     983# required by x11-drivers/xf86-input-libinput-0.29.0::gentoo
     984# required by kde-plasma/plasma-desktop-5.18.2::gentoo[mouse]
     985# required by kde-plasma/plasma-meta-5.18.2::gentoo
     986# required by @selected
     987# required by @world (argument)
     988>=media-libs/libglvnd-1.3.1 abi_x86_32
     989
     990# required by net-dns/avahi-0.8-r1::gentoo
     991# required by net-voip/telepathy-salut-0.8.1-r2::gentoo
     992# required by net-im/telepathy-connection-managers-2-r2::gentoo[zeroconf]
     993# required by kde-apps/ktp-accounts-kcm-19.12.3::gentoo
     994# required by kde-apps/plasma-telepathy-meta-19.12.3::gentoo
     995# required by kde-apps/kdenetwork-meta-19.12.3::gentoo[telepathy]
     996# required by kde-apps/kde-apps-meta-19.12.3::gentoo
     997# required by @selected
     998# required by @world (argument)
     999>=dev-libs/libevent-2.1.11 abi_x86_32
     1000
     1001# required by media-plugins/alsa-plugins-9999::niluje[ffmpeg,-libav]
     1002# required by media-sound/pulseaudio-13.0::gentoo[alsa-plugin,alsa]
     1003# required by media-libs/libsdl2-2.0.12::gentoo[pulseaudio]
     1004# required by games-strategy/wesnoth-1.14.11::gentoo
     1005# required by @selected
     1006# required by @world (argument)
     1007>=media-video/ffmpeg-4.2.2 abi_x86_32
     1008# required by media-video/ffmpeg-4.2.2::gentoo[bluray]
     1009# required by media-video/vlc-3.0.8::gentoo
     1010# required by @selected
     1011# required by @world (argument)
     1012>=media-libs/libbluray-1.2.0 abi_x86_32
     1013# required by media-video/ffmpeg-4.2.2::gentoo[bs2b]
     1014# required by media-video/vlc-3.0.8::gentoo
     1015# required by @selected
     1016# required by @world (argument)
     1017>=media-libs/libbs2b-3.1.0_p20130908-r175 abi_x86_32
     1018# required by media-video/ffmpeg-4.2.2::gentoo[cdio]
     1019# required by media-video/vlc-3.0.8::gentoo
     1020# required by @selected
     1021# required by @world (argument)
     1022>=dev-libs/libcdio-paranoia-2.0.1 abi_x86_32
     1023# required by media-video/ffmpeg-4.2.2::gentoo[encode,mp3]
     1024# required by media-video/vlc-3.0.8::gentoo
     1025# required by @selected
     1026# required by @world (argument)
     1027>=media-sound/lame-3.100-r2 abi_x86_32
     1028# required by media-video/ffmpeg-4.2.2::gentoo[encode,theora]
     1029# required by media-video/vlc-3.0.8::gentoo
     1030# required by @selected
     1031# required by @world (argument)
     1032>=media-libs/libtheora-1.1.1-r2 abi_x86_32
     1033# required by media-video/ffmpeg-4.2.2::gentoo[x264,encode]
     1034# required by media-video/vlc-3.0.8::gentoo
     1035# required by @selected
     1036# required by @world (argument)
     1037>=media-libs/x264-0.0.20190903 abi_x86_32
     1038# required by media-video/ffmpeg-4.2.2::gentoo[x265,encode]
     1039# required by media-video/vlc-3.0.8::gentoo
     1040# required by @selected
     1041# required by @world (argument)
     1042>=media-libs/x265-3.2.1 abi_x86_32
     1043# required by media-video/ffmpeg-4.2.2::gentoo[encode,xvid]
     1044# required by media-video/vlc-3.0.8::gentoo
     1045# required by @selected
     1046# required by @world (argument)
     1047>=media-libs/xvid-1.3.5 abi_x86_32
     1048# required by media-video/ffmpeg-4.2.2::gentoo[libass]
     1049# required by media-video/vlc-3.0.8::gentoo
     1050# required by @selected
     1051# required by @world (argument)
     1052>=media-libs/libass-0.14.0 abi_x86_32
     1053# required by media-video/ffmpeg-4.2.2::gentoo[sdl]
     1054# required by media-video/vlc-3.0.8::gentoo
     1055# required by @selected
     1056# required by @world (argument)
     1057>=media-libs/libsdl2-2.0.12 abi_x86_32
     1058# required by media-video/ffmpeg-4.2.2::gentoo[ssh]
     1059# required by media-video/vlc-3.0.8::gentoo
     1060# required by @selected
     1061# required by @world (argument)
     1062>=net-libs/libssh-0.9.3 abi_x86_32
     1063# required by media-video/ffmpeg-4.2.2::gentoo[vpx]
     1064# required by media-video/vlc-3.0.8::gentoo
     1065# required by @selected
     1066# required by @world (argument)
     1067>=media-libs/libvpx-1.8.2 abi_x86_32
     1068# required by dev-libs/libcdio-paranoia-2.0.1::gentoo
     1069# required by media-video/ffmpeg-4.2.2::gentoo[cdio]
     1070# required by media-video/vlc-3.0.8::gentoo
     1071# required by @selected
     1072# required by @world (argument)
     1073>=dev-libs/libcdio-2.1.0-r1 abi_x86_32
     1074# required by media-libs/x264-0.0.20190903::gentoo[opencl]
     1075# required by media-video/ffmpeg-4.2.2::gentoo[x264,encode]
     1076# required by media-video/vlc-3.0.8::gentoo
     1077# required by @selected
     1078# required by @world (argument)
     1079>=virtual/opencl-2 abi_x86_32
     1080# required by media-libs/libbdplus-0.1.2::gentoo[aacs]
     1081# required by media-libs/libbluray-1.2.0::gentoo[bdplus]
     1082# required by media-video/ffmpeg-4.2.2::gentoo[bluray]
     1083# required by media-video/obs-studio-25.0.1::gentoo
     1084# required by @selected
     1085# required by @world (argument)
     1086>=media-libs/libaacs-0.9.0 abi_x86_32
     1087# required by media-libs/libbluray-1.2.0::gentoo[bdplus]
     1088# required by media-video/ffmpeg-4.2.2::gentoo[bluray]
     1089# required by media-video/obs-studio-25.0.1::gentoo
     1090# required by @selected
     1091# required by @world (argument)
     1092>=media-libs/libbdplus-0.1.2 abi_x86_32
     1093
     1094# required by net-dns/avahi-0.8-r2::gentoo[gtk]
     1095# required by app-misc/geoclue-2.5.3-r2::gentoo[zeroconf]
     1096# required by net-libs/webkit-gtk-2.26.4-r1::gentoo[geolocation]
     1097# required by app-text/foliate-1.9999::niluje
     1098# required by @selected
     1099# required by @world (argument)
     1100>=x11-libs/gtk+-3.24.16 abi_x86_32
     1101# required by x11-libs/gtk+-3.24.16::gentoo
     1102# required by www-client/firefox-74.0-r3::gentoo
     1103# required by @selected
     1104# required by @world (argument)
     1105>=media-libs/libepoxy-1.5.4 abi_x86_32
     1106# required by x11-libs/gtk+-3.24.16::gentoo[X]
     1107# required by www-client/firefox-74.0-r3::gentoo
     1108# required by @selected
     1109# required by @world (argument)
     1110>=app-accessibility/at-spi2-atk-2.34.2 abi_x86_32
     1111# required by app-accessibility/at-spi2-atk-2.34.2::gentoo
     1112# required by x11-libs/gtk+-3.24.16::gentoo[X]
     1113# required by www-client/firefox-74.0-r3::gentoo
     1114# required by @selected
     1115# required by @world (argument)
     1116>=app-accessibility/at-spi2-core-2.36.0 abi_x86_32
     1117# required by dev-libs/elfutils-0.179::gentoo
     1118# required by @selected
     1119# required by @world (argument)
     1120>=sys-libs/zlib-1.2.11-r2 static-libs
     1121# required by dev-libs/elfutils-0.179::gentoo[bzip2]
     1122# required by @selected
     1123# required by @world (argument)
     1124>=app-arch/bzip2-1.0.8 static-libs
     1125# required by dev-libs/elfutils-0.179::gentoo[lzma]
     1126# required by @selected
     1127# required by @world (argument)
     1128>=app-arch/xz-utils-5.2.5 static-libs
     1129
     1130# required by media-video/ffmpeg-4.3::gentoo[vulkan]
     1131# required by virtual/ffmpeg-9-r2::gentoo
     1132# required by net-misc/minidlna-1.2.1_p20191209::niluje
     1133# required by @selected
     1134# required by @world (argument)
     1135>=media-libs/vulkan-loader-1.2.141 abi_x86_32
     1136
     1137# required by media-video/ffmpeg-4.3-r1::gentoo[dav1d]
     1138# required by virtual/ffmpeg-9-r2::gentoo
     1139# required by net-misc/minidlna-1.2.1_p20191209::niluje
     1140# required by @selected
     1141# required by @world (argument)
     1142>=media-libs/dav1d-0.7.0 abi_x86_32
     1143
     1144# required by gnome-base/librsvg-2.48.8::gentoo
     1145# required by x11-themes/adwaita-icon-theme-3.36.1::gentoo
     1146# required by virtual/freedesktop-icon-theme-0-r3::gentoo
     1147# required by www-client/firefox-79.0::gentoo
     1148# required by @selected
     1149# required by @world (argument)
     1150>=virtual/rust-1.45.1 abi_x86_32
     1151# required by virtual/rust-1.45.1::gentoo
     1152# required by gnome-base/librsvg-2.48.8::gentoo
     1153# required by x11-themes/adwaita-icon-theme-3.36.1::gentoo
     1154# required by virtual/freedesktop-icon-theme-0-r3::gentoo
     1155# required by www-client/firefox-79.0::gentoo
     1156# required by @selected
     1157# required by @world (argument)
     1158>=dev-lang/rust-1.45.1 abi_x86_32
     1159
     1160# required by dev-db/mysql-connector-c-8.0.21-r2::gentoo
     1161# required by dev-qt/qtsql-5.15.0::gentoo[mysql]
     1162# required by www-client/falkon-3.1.0-r1::gentoo
     1163# required by kde-apps/kdecore-meta-20.08.0::gentoo[webengine]
     1164# required by kde-apps/kde-apps-meta-20.08.0::gentoo
     1165# required by @selected
     1166# required by @world (argument)
     1167>=app-arch/lz4-1.9.2 abi_x86_32
     1168
  • Configs/trunk/Portage/Illyria/package.use/niluje

    r16594 r17759  
    2929
    3030# MPlayer
    31 media-video/mpv archive cdio cplugins cuda cuvid bluray bs2b dcadec dvdnav egl -encode faac frei0r -jpeg2k libmpeg2 lua luajit nut nvenc openssl pnm postproc rubberband rtmp -samba schroedinger -sdl shaderc tga uchardet vapoursynth vpx vulkan -win32dll -zimg zsh-completion
    32 media-video/ffmpeg ass bluray bs2b cdio celt dirac faac frei0r hardcoded-tables libass network nvenc openssl rtmp schroedinger sdl ssh vaapi vpx x265 -jpeg2k
     31media-video/mpv archive cdio cplugins bluray bs2b dcadec -doc -drm dvdnav egl -encode faac frei0r -gbm -jpeg2k libmpeg2 lua luajit nut openssl pnm postproc rubberband rtmp -samba schroedinger -sdl shaderc tga uchardet vapoursynth vpx vulkan -win32dll -zimg zsh-completion
     32media-video/ffmpeg ass bluray bs2b cdio celt dirac faac frei0r hardcoded-tables libass network openssl rtmp schroedinger sdl ssh vaapi vpx x265 -jpeg2k
    3333virtual/ffmpeg sdl vaapi -jpeg2k
    3434=media-video/ffmpeg-4.1.4 -hardcoded-tables
    3535media-libs/libass enca harfbuzz
    3636media-libs/harfbuzz icu
    37 # 10bit output requires 10bit input, which is a no-no with OBS. NOTE: This issue will go away if we ever get an x264 bump to a version post 8+10 merge...
    38 media-libs/x264 -10bit
    39 media-video/obs-studio nvenc PYTHON_SINGLE_TARGET: -* python3_6
    40 
    41 # Meld
    42 dev-util/meld PYTHON_SINGLE_TARGET: -* python3_6
    4337
    4438# ImageMagick
     
    9892media-sound/audacity id3tag ladspa twolame
    9993
    100 # Firefox
    101 www-client/firefox pgo lto gstreamer -system-cairo -system-icu -system-jpeg -system-libvpx -system-sqlite system-harfbuzz custom-cflags custom-optimization gtk2 hwaccel
     94# Firefox (>= 71.0 says PGO + GCC == kablooey :/. Upstream builds with Clang, follow suit ;).)
     95www-client/firefox clang pgo lto system-harfbuzz custom-cflags custom-optimization hwaccel
     96# Borks Clang otherwise
     97=www-client/firefox-78.0.2 system-icu
    10298media-libs/libvpx postproc
    10399dev-db/sqlite -secure-delete
     
    160156
    161157# LibreOffice
    162 app-office/libreoffice java -kde PYTHON_SINGLE_TARGET: -* python3_6
     158app-office/libreoffice java -kde
    163159# required by app-office/libreoffice-5.4.0.3::gentoo
    164160# required by @selected
     
    202198
    203199# SDL
     200media-libs/libsdl2 vulkan
    204201media-libs/sdl-mixer midi fluidsynth
    205202
     
    224221# KDevelop
    225222dev-util/kdevelop hex qthelp
    226 dev-util/kdevelop-python PYTHON_SINGLE_TARGET: -* python3_6
    227223
    228224# Kill Xine
     
    234230# IRC
    235231net-irc/kvirc -audiofile -theora -kde -phonon spellcheck webkit
    236 net-irc/znc daemon perl python sasl PYTHON_SINGLE_TARGET: -* python3_6 PYTHON_TARGETS: -* python3_6
     232net-irc/znc daemon perl python sasl
    237233
    238234# KRDC
     
    247243
    248244# Samba
    249 sys-libs/talloc python PYTHON_SINGLE_TARGET: -* python3_6
     245sys-libs/talloc python
    250246app-crypt/heimdal -ssl
    251 sys-libs/tdb python PYTHON_SINGLE_TARGET: -* python3_6
    252 sys-libs/tevent python PYTHON_SINGLE_TARGET: -* python3_6
    253 sys-libs/ldb python PYTHON_SINGLE_TARGET: -* python3_6
     247sys-libs/tdb python
     248sys-libs/tevent python
     249sys-libs/ldb python
    254250sys-libs/ntdb python
    255251net-fs/samba -system-mitkrb5 -client
    256252
    257 # Clang
    258 sys-devel/llvm clang
     253# Clang (Firefox PGO/LTO requires Gold)
     254sys-devel/llvm clang gold
    259255# Circular dependency for inital build...
    260256#sys-libs/compiler-rt -clang
     
    266262# Sigil
    267263dev-libs/xerces-c icu
    268 app-text/sigil PYTHON_SINGLE_TARGET: -* python3_6 PYTHON_TARGETS: -* python3_6
    269264
    270265# Steam
     
    299294dev-python/pycurl CURL_SSL: -* openssl
    300295
    301 # Meh
    302 media-libs/lensfun PYTHON_SINGLE_TARGET: -* python3_6
     296# rsync
     297net-misc/rsync lz4 -system-zlib xxhash zstd
    303298
    304299# Stupid xmlto...
     
    309304
    310305# Mumble - Use the system's opus because the bundled one doesn't enable SIMD instructions on Linux...
    311 # NOTE: On the other hand, we can't use the system CELT until Mumble drops celt 0.7 or adds more granularity to this setting (i.e., bundled celt 0.7, system celt 0.11)
    312306media-sound/mumble bundled-celt -bundled-opus bundled-speex
    313307
     
    317311kde-apps/kdepim -kontact KDEPIM_FEATURES: -*
    318312kde-apps/kdepim-addons KDEPIM_FEATURES: -* akregator
    319 kde-plasma/plasma-meta grub -qt4
     313# This is where the kwinft USE flag goes ;).
     314kde-plasma/plasma-meta grub -qt4 -sddm
    320315kde-apps/artikulate gstreamer
    321316# KSane migration is being bitchy...
     
    339334# VapourSynth
    340335media-plugins/vapoursynth-plugins-meta VAPOURSYNTH_PLUGINS: -* genericfilters mvtools nnedi3 flash3kyuu_deband it
    341 media-libs/vapoursynth PYTHON_SINGLE_TARGET: -* python3_6
    342336
    343337# CoreBird
     
    349343# rEFInd (Things went kablooey with gnu-efi >= 3.0.5)
    350344#sys-boot/refind -gnuefi
    351 
    352 # Udisks
    353 sys-libs/libblockdev PYTHON_SINGLE_TARGET: -* python3_6
    354 dev-libs/volume_key PYTHON_SINGLE_TARGET: -* python3_6
    355345
    356346# LuaJIT
     
    363353media-libs/mesa -vdpau
    364354
    365 # Glib
    366 dev-util/glib-utils PYTHON_SINGLE_TARGET: -* python3_6
    367 dev-util/gdbus-codegen PYTHON_SINGLE_TARGET: -* python3_6
    368 
    369355# zstd
    370356app-arch/zstd lz4
    371 
    372 # KiTTY
    373 x11-terms/kitty PYTHON_SINGLE_TARGET: -* python3_6
    374357
    375358# Geany
     
    380363media-gfx/geeqie gpu-accel gtk3
    381364
    382 # asciidoc
    383 app-text/asciidoc PYTHON_SINGLE_TARGET: -* python3_6
    384 
    385 # KDE
    386 kde-apps/lokalize PYTHON_SINGLE_TARGET: -* python3_6
    387 dev-games/freecell-solver PYTHON_SINGLE_TARGET: -* python3_6
    388 
    389 # Other Python shenanigans
    390 dev-libs/gobject-introspection PYTHON_SINGLE_TARGET: -* python3_6
    391 
     365# jq
     366app-misc/jq oniguruma
     367
     368# Inkscape appears to require IM 6?!
     369media-gfx/inkscape -imagemagick
     370
     371# Not quite ready for python 3.7 yet...
     372=app-misc/evemu-2.7.0 PYTHON_SINGLE_TARGET: -* python3_6 PYTHON_TARGETS: -* python3_6
     373
     374# Note quite ready for Python 3 yet...
     375app-text/calibre PYTHON_TARGETS: python2_7
     376app-text/calibre PYTHON_SINGLE_TARGET: -* python2_7
     377net-nntp/sickrage PYTHON_TARGETS: python2_7
     378net-nntp/sickrage PYTHON_SINGLE_TARGET: -* python2_7
     379
     380=kde-apps/kross-interpreters-19.12.0 PYTHON_SINGLE_TARGET: -* python2_7 PYTHON_TARGETS: -* python2_7
     381=kde-apps/kig-19.12.0 PYTHON_SINGLE_TARGET: -* python2_7 PYTHON_TARGETS: -* python2_7
     382media-gfx/gimp PYTHON_SINGLE_TARGET: -* python2_7 PYTHON_TARGETS: -* python2_7
     383net-irc/telepathy-idle PYTHON_SINGLE_TARGET: -* python2_7 PYTHON_TARGETS: -* python2_7
     384media-libs/libuninameslist PYTHON_SINGLE_TARGET: -* python2_7 PYTHON_TARGETS: -* python2_7
     385net-print/CUPS-Cloud-Print PYTHON_SINGLE_TARGET: -* python2_7 PYTHON_TARGETS: -* python2_7
     386kde-apps/kross-interpreters PYTHON_SINGLE_TARGET: -* python2_7 PYTHON_TARGETS: -* python2_7
     387
  • Configs/trunk/Portage/Illyria/package.use/portage

    r16482 r17759  
    131131>=dev-lang/python-3.6.9:3.6 tk
    132132
     133# required by media-libs/gegl-0.4.18::gentoo
     134# required by media-libs/libmypaint-1.4.0::gentoo[gegl]
     135# required by media-gfx/gimp-2.10.14::gentoo
     136# required by @selected
     137# required by @world (argument)
     138>=media-libs/babl-0.1.72 introspection
     139
     140# required by dev-python/qtconsole-4.7.5::gentoo
     141# required by dev-python/ipython-7.16.1::gentoo[qt5]
     142# required by dev-python/ipykernel-5.3.1::gentoo[-test]
     143# required by dev-python/ipyparallel-6.3.0::gentoo[-test]
     144>=dev-python/QtPy-1.9.0-r2 gui printsupport
     145
  • Configs/trunk/Portage/Illyria/repo.postsync.d/example

    r12702 r17759  
    1 #!/bin/sh
     1#!/bin/bash
    22# Example /etc/portage/repo.postsync.d script. Make it executable (chmod +x) for
    33# Portage to process it.
     
    4646                fi
    4747        fi
     48
     49        # Regenerate the metadata/pkg_desc_index file if needed. It's not
     50        # needed for https://gitweb.gentoo.org/repo/sync/gentoo.git which
     51        # provides a freshly generated copy.
     52        if [[ ! -e ${repository_path}/metadata/pkg_desc_index || (
     53                -d ${repository_path}/metadata/md5-cache &&
     54                -n $(find "${repository_path}/metadata/md5-cache" -type f -newer "${repository_path}/metadata/pkg_desc_index" -print -quit) ) ]]; then
     55                if ! egencache --update-pkg-desc-index --repo="${repository_name}" ${PORTAGE_VERBOSE+--verbose}
     56                then
     57                        echo "!!! egencache failed!"
     58                        ret=1
     59                fi
     60        fi
    4861fi
    4962
Note: See TracChangeset for help on using the changeset viewer.